<?php
include('conexioncrud.php');

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $idApoderado = $_GET['id_apoderado'];
    // Utiliza una consulta preparada para evitar la inyección SQL
    $sql = "SELECT * FROM apoderados WHERE id_apoderado=?";
    $stmt = mysqli_prepare($con, $sql);
    if ($stmt) {
        mysqli_stmt_bind_param($stmt, 'i', $idApoderado);
        mysqli_stmt_execute($stmt);
        $result = mysqli_stmt_get_result($stmt);
        if ($result) {
            $data = mysqli_fetch_assoc($result);
            echo json_encode($data);
        } else {
            echo json_encode(['error' => 'Error al obtener detalles del usuario']);
        }

        mysqli_stmt_close($stmt);
    } else {
        echo json_encode(['error' => 'Error al preparar la consulta']);
    }
} else {
    echo json_encode(['error' => 'Método no permitido']);
}
?>